import { ProjectileSkillGRDataObject } from "./definitions/adventureland-server.js";
import { PingCompensatedCharacter } from "./PingCompensatedCharacter.js";
export declare class Priest extends PingCompensatedCharacter {
    ctype: "priest";
    absorbSins(target: string): Promise<unknown>;
    curse(target: string): Promise<ProjectileSkillGRDataObject>;
    darkBlessing(): Promise<unknown>;
    /**
     * NOTE: We can't name this function `heal` because of the property `heal` that tells us how much we heal for.
     * @param id The ID of the entity or player to heal
     */
    healSkill(id: string): Promise<ProjectileSkillGRDataObject>;
    partyHeal(): Promise<unknown>;
    revive(target: string, essenceOfLife?: number): Promise<unknown>;
}
