import { CharacterData, EntitiesData, PlayerData, PQData, ServerData } from "./definitions/adventureland-server.js";
import { Character } from "./Character.js";
import { GData, SkillName } from "./definitions/adventureland-data.js";
export declare class PingCompensatedCharacter extends Character {
    constructor(userID: string, userAuth: string, characterID: string, g: GData, serverData: ServerData);
    connect(): Promise<void>;
    protected setNextSkill(skill: SkillName, next: Date): void;
    parseCharacter(data: CharacterData | PlayerData): void;
    protected parseEntities(data: EntitiesData): void;
    protected parseQData(data: PQData): void;
    protected pingLoop(): void;
}
